function [f1] = fstar_DP2(x, v, phi)

logprod = zeros(1, length(x));
for k = 1:length(v)
    logprod(x < 0) = logprod(x < 0) - phi * log(1 + v(k) * exp(x(x < 0)) ./ (1 + exp(x(x < 0))));
    logprod(x >= 0) = logprod(x >= 0) - phi * log(1 + v(k) ./ (1 + exp(- x(x >=0 ))));
end

logf1(x < 0) = - phi * log(1+exp(x(x<0)));
logf1(x >= 0) = - phi * x(x>=0) - phi * log(1 + exp(- x(x>=0))) ;

f1 = exp(logf1) .* (1 - exp(logprod));
f1(logprod == 0) = 0;

