function [f1] = fstar_NGG2(x, v, phi, NGGsigma)

logprod = zeros(1, length(x));
for k = 1:length(v)
    logprod(x < 0) = logprod(x < 0) - phi * log(1 + v(k) * exp(x(x < 0)) ./ (1 + exp(x(x < 0))));
    logprod(x >= 0) = logprod(x >= 0) - phi * log(1 + v(k) ./ (1 + exp(- x(x >=0 ))));
end

logf1(x < 0) = - NGGsigma * x(x < 0) - phi * log(1+exp(x(x<0)));
logf1(x >= 0) = - (NGGsigma + phi) * x(x>=0) - phi * log(1 + exp(- x(x>=0))) ;

%   NGGsigma
%   phi
logf1 = logf1 + log(NGGsigma) + gammaln(phi) - gammaln(phi + NGGsigma) - gammaln(1 - NGGsigma);

f1 = exp(logf1) .* (1 - exp(logprod));
f1(logprod == 0) = 0;
    

% [x;
% logprod;
% exp(logprod);
% logf1
%  f1]
