function [f] = fun_NGG_PU2(x, n, phi, v, NGGsigma)

logf = zeros(1, length(x));
logf(x < 0) = (sum(n) - NGGsigma) * x(x < 0) - (sum(n) + phi) * log(1 + exp(x(x < 0)));
logf(x >= 0) =  - (phi + NGGsigma) * x(x >= 0) - (sum(n) + phi) * log(1 + exp(- x(x >= 0)));
for j = 1:length(n)
     logf(x < 0) = logf(x < 0) - (phi + n(j)) * log(v(j) * exp(x(x<0)) ./ (1 + exp(x(x < 0))) + 1);
     logf(x >= 0) = logf(x >= 0) - (phi + n(j)) * log(v(j) * 1 ./ (1 + exp(- x(x >= 0))) + 1);
end
logf = logf + log(NGGsigma) + gammaln(phi) - gammaln(phi + NGGsigma) - gammaln(1 - NGGsigma);

f = exp(logf);