load 'data_trim.txt'

n = size(data_trim, 1);

group = zeros(1, n);

for i = 1:n
    if ( (data_trim(i, 9) == -2.4) && (data_trim(i, 10) == 3.2) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 1;
    elseif ( (data_trim(i, 9) == -0.9211) && (data_trim(i, 10) == -1.7763) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 2) )
        group(i) = 2;
    elseif ( (data_trim(i, 9) == -0.9211) && (data_trim(i, 10) == -1.7763) && (data_trim(i, 11) == 0.6437) && (data_trim(i, 13) == 2) )
        group(i) = 3;
    elseif ( (data_trim(i, 9) == -0.92) && (data_trim(i, 10) == -4.3) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 4;
    elseif ( (data_trim(i, 9) == -0.92) && (data_trim(i, 10) == -1.8) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 5;
    elseif ( (data_trim(i, 9) == -0.92) && (data_trim(i, 10) == 3.2) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 6;
    elseif ( (data_trim(i, 9) == 0.58) && (data_trim(i, 10) == -1.8) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 7;
    elseif ( (data_trim(i, 9) == 0.58) && (data_trim(i, 10) == 3.2) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 8;
    elseif ( (data_trim(i, 9) == 2.1) && (data_trim(i, 10) == -1.8) && (data_trim(i, 11) == -0.3563) && (data_trim(i, 13) == 1) )
        group(i) = 9;
    end
end

pred = zeros(51, 7);
pred(:, 1) = linspace(-1, 4.5, 51);
pred(:, 2) = linspace(-4, 1.5, 51);
pred(:, 3) = linspace(0, 7, 51);
pred(:, 4) = linspace(-1, 9, 51);
pred(:, 5) = linspace(3, 18, 51);
pred(:, 6) = linspace(-3, 1, 51);
pred(:, 7) = linspace(-1, 3, 51);

output_DP = norm_mult_DP_MVN_PU(data_trim(:, 2:8), group, 2000, 2000, 1, pred);

output_NGG = norm_mult_NGG_MVN_PU(data_trim(:, 2:8), group, 2000, 2000, 1, pred);

for i = 1:7
    figure(i)
    for j = 1:9
        plot(pred(:, i), output_DP.probpred(:, i, j));
        hold on
    end
    hold off
end